Nombre d'installations

Tags: #<Tag:0x00007f283caf8b90>

Dans ce cas pourquoi pas d’update proposée depuis la v3 ? Faut changer la source des mises à jour ?

Vu le changement important côté Widgets, ils ne veulent pas forcer à potentiellement complètement casser visuellement certaines installations, donc ils laissent le choix. Tu passes manuellement en V4 RC et c’est bon

Mais c’est une RC. Pas une finale.

Vérifie ce que tu dis avec le tag Bêta-testeurs, la V4 n’est pas stable, elle est en RC
Il doit y avoir une communication à la sortie de la V4 en stable, la dernière du blog indique bien RC :

2 J'aimes

Cela me rassure…
A fondre tous sur la v4 il ne faut pas s’étonner si vos installations pètent ou que vous essuyez les plugins non mis à jour.

2 J'aimes

Ce sont les développeurs du core qui ont dit qu’elle est (officieusement) stable mais qu’ils gardaient cette appellation RC le temps de pousser à la vraie transition. Libre à toi de ne pas les croire.

D’ailleurs quand on passe en v4 “RC” elle prend l’appellation stable dans l’UI. De plus, c’est la v4 qui peut être préinstallé sur les Freebox Delta et non la v3.
Aussi, le tuto de la doc installe la version master, dont le script pointe, je te le donne en mille, sur la v4-stable. Pour finir, tu peux aussi regarder les branches du GitHub, il y a bien “V4-stable”.

Même si le core est en pseudo stable (je n’ai jamais vu une telle appellation… Ça laisse songeur) tous les plugins en sont loins…

Il est important que chacun en prenne conscience. Soit pour être sur la dernière version pour être au nec plus ultra, soit pour laisser le temps aux devs de faire leur travail… Au milieu de leur vie !

Perso je vis très bien sans le dernier téléphone… Mais je comprends tout à fait que certains y cèdent.

1 J'aime

La version officielle de la doc qui pointe sur la v4-stable, je n’appelle pas ça du pseudo-stable. Comme je t’ai dit, ça apporte un énorme changement côté widgets entre v3 et v4 donc ils ne forçent pas le changement, mais clairement les nouvelles installations doivent être sous v4.

Si tu attends une MAJ de 100% des plugins avant de changer je pense que tu peux attendre longtemps, certains étant quasiment abandonnés. On est dans la période où l’écrasante majorité des plugins les plus installés sont compatibles. Les incompatibilités connues sont d’ailleurs plus souvent dues à un problème de mise à jour côté Debian que Jeedom.

Mais je respecte ton choix.

Comme l’a dit @anon72168185, la team Jeedom le dit.
Dans ma configuration (Configuration > Mise à jour de Jeedom), je suis en “Stable v4” pour la version du core.

Sauf erreur de ma part, les nouvelles installations sont (ou du moins sont préconisées) en V4. Ce n’est pas pour rien.

Bref, @anon72168185 a tout résumé.

Soit cohérent dans tes propos stp, là tu te marches dessus en beauté.

Alors, on va commencer par ton mix master/stable-v4.
Regarde la branche master :


Regarde la branche v4-stable :

C’est assez flagrant ou pas ?

Deuxièmement, c’est pas parcequ’une branche git s’appelle v4-stable que ca veut dire qu’elle l’est. C’est la branche qui prépare la stable. Pour ceux qui ont suivi (mais vraiment, pas les fraichement arrivé qui déduisent des faits de propos d’une personne), il y a meme eu une branche stable v4 début septembre vite renommée vu que c’est de la RC.
D’ailleurs y en avait bien besoin puisqu’il y a encore des bugs corrigés (ce que les BT sont censés savoir ayant accès au forum qui va bien)

On est passé en 4.1 pour l’alpha, mais la v4 est encore en correction.
Vous pensez franchement que si c’était officiel il y aurait pas un article ? Ok y a un saut qui pète pas mal de chose et la mise à jour ne sera pas forcée par défaut chez tous le monde. Mais elle est suffisamment attendue pour mériter une vraie comme et pas juste quelques blablas sur un forum.

Par contre effectivement le script master tire la v4-stable sans aucune annonce publique ??? @Alexandre

Hurmf. Je me répète… Ça laisse songeur.

Tu peux, tu vois avec le nombre de plugins que j’ai, j’étais meme pas au courant (alors que j’ai encore des mises à jour à faire dessus pour coller à la chartre graphique v4, j’ai meme corrigé les derniers widget il y a que 2 semaines, soit après ce changement non annoncé)

1 J'aime

Tu ferais mieux d’aller travailler plutôt que de rêvasser :joy::wink:

Il y a eu un post de Loic du 10 octobre et c’est tout à ma connaissance. A mon avis c’est du fait de la freebox :wink:
C’est vrai que là sans suivre tous les posts du forum on n’est pas au courant.

Voilà où je voulais en venir, c’est probablement la preuve la plus importante. Et ça date -au moins- du 10 octobre ça (cf l’édit du 1er post de ce topic : [RTEX] Debian 10 - Buster - netinst - amd64 - Jeedom V4).

Et toi, tu penses vraiment que si ça n’était pas officiel ça serait déployé sur les Freebox en “installation facile” ?

Après y’a peut-être un soucis de communication. Tu es développeurs, tu es normalement plus au courant que moi de ce qui est officiel. Ça reste assez étrange

Salut,

On est un peu loin du sujet d’origine mais c’est vrai que ce passage de la V4 en stable sous le manteau au détour de différents posts du forum sans annonce officielle c’est un peu déconcertant…

Fallait t’il absolument fournir une stable à free pour l’arrivée sur la delta ce qui va forcément décupler le nombre d’utilisateurs ? Du coup la rc du moment est passée en branche stable?

Ca fera peut-être pas avancer le question mais de ce que j’ai compris

Le V4 est stable pour les nouveaux arrivants Jeedom

Pour les anciens venant de la V3, c’est pas encore conseillé de migrer ou alors il y a du taf (widgets, designs, plugins V3)

Je suis pas forcément pressé de passer en V4 surtout dans les conditions actuelles mais il commence à y avoir des corrections et des plugins qui ne sont que pour la V4 et le fossé va donc se creuser en rendant la migration obligatoire si on veut en profiter.

1 J'aime

Hello !
Au risque de déterrer un sujet, et après avoir pas mal cherché (mais peut-être pas suffisamment ?), si la version communauté / pi est limitée à 2 install connectées au market, je suis incapable de savoir combien d’installations sont acceptées pour les différents packs…
Où trouver l’info ?

Merciiii

Hello,

Sur le site tout simplement ici